Bug 163325 - Disk Druid Features
Disk Druid Features
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-15 01:41 EDT by Wayne Carruthers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-15 07:48:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Carruthers 2005-07-15 01:41:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win95; en-US; rv:1.7.3) Gecko/20040910

Description of problem:
Let me start by saying the onscreen visual represention of manual disk partitioning using disk druid is the best I have seen on any OS it is great

Unfortunately the lack of the features below make it unusable in many situations and a web search indicates there is similar frustration from others out there

In 90% of situations I have to use another OS/boot CD set up partitions then reboot with Fedora or RH installer & use the partitions set adding time & frustration to an installation

It is disappointing to see tall the good work which has gone into the creation of Disk Druid to be wasted by the lack of what would seem to be basic features

1/ Inability to set partition order

eg set small partition (for /boot) or a vfat partition as the first partition

If you attempt to create 3 or 4 partitions with disk druid and enter them in the order you want the final result (say 200mb, 10gb, 10gb, swap) disk druid changes the order to suit itself & moves the small /boot or VFat partition to later portions of the disk instead of remaining at the front of the disk

2/ Inability to create a partition and not allocate a mount point

There are many situations (such as dual boot) where an unallocated partion needs to be set up. It is frustrating not to be able to do so in Disk Druid & the need to use another partitioning utility can create other problems


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.manually partition disk
2.create multiple partitions
3. Watch partition order change
  

Additional info:
Comment 1 Jeremy Katz 2005-07-15 07:48:10 EDT
1) /boot will always get prioritized first.  With the way we do growing, we have
to generally place the largest partitions on the disk first so that we can grow
and fill the disk even in situations where there are partitions that you're not
removing.
2) Allocating a partition without setting a mount point would lead to a fair bit
of confusion with the UI as well as not being clear for what the partition id
should be set to.
Comment 2 Wayne Carruthers 2005-07-18 02:20:27 EDT
Jeremy,

1/ Understand your comment re boot. 

2/ The UI should not be confusing as it simply shows what is or is not allocated
which is the case now if I partition with fdisk or cfdisk first

The install process asks the user to "manually" edit/setup partitions & then the
user cannot do so except for some very basic tasks which are not really manual
but semi automated.

The ability to manually setup partitions, their order, type, and allocation
needs to be part of the ability of disk druid to make the affort of creating it
worthwhile.

In an enterprise situation the features suffice only for some situations, but on
Fedora where the needs are more varied & some may say weird and wonderful the
features I refer to become a necessity not a desire

I put this up to be constructive after I found myself getting frustrated with it
& then looked around and found others had commented likewise with the less
polite indicating Disk Druid was useless which demeaned the efforts which have
been put into it

Perhaps the immediate & simplest solution would be a third button onscreen for
cfdisk for those who wanted to brew their own, it has a reasonable display. That
avoids the need to set up partitions prior to the install of fedora

Note You need to log in before you can comment on or make changes to this bug.